%From MATLAB format to C binary format (filters and stereo images)

%----Gabor filters--------------------------------
fltr = load('Gt11B0.0833f0.25.mat');
fid=fopen('Gt11B0.0833f0.25.bin','wb');
fwrite(fid, fltr.f0, 'float32');
fwrite(fid, fltr.taps, 'float32');
fwrite(fid, fltr.B, 'float32');
[rr,cc]=size(fltr.F);
fwrite(fid, rr, 'float32');fwrite(fid, cc, 'float32');
tmp=fltr.F';
fwrite(fid, tmp, 'float32');
fclose(fid);

%----rds example-------------------------------
w=640; h=480;
L=rand(h,w); R=zeros(h,w);R(:,2:end)=L(:,1:end-1);R(:,1)=rand(h,1);
TMP=rand(200);
dx=10; dy=5;
L(140:(140+199),140:(140+199))=TMP;
R((140+dy):((140+dy)+199),(140+dx):((140+dx)+199))=TMP;
str=sprintf('left_%dx%d_d%.2d.bin',w,h,dx);
fid=fopen(str,'wb');
tmp=L';
fwrite(fid, tmp, 'float32');
fclose(fid);
str=sprintf('right_%dx%d_d%.2d.bin',w,h,dx);
fid=fopen(str,'wb');
tmp=R';
fwrite(fid, tmp, 'float32');
fclose(fid);
